package com.e6yun.project.sdk.api.pojo.basevo.iot;

import com.google.common.base.MoreObjects;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description TrackByDataTerminalIdVO
 * @Author jiangruikang@e6yun.com
 * @Created Date: 2021/7/13 10:56
 * @ClassName TrackByDataTerminalIdVO
 * @Remark
 */
public class TrackByDataTerminalIdVO {

    private Integer vehicleid;
    private Integer carId;
    private Date gpstime;
    private Date createdtime;
    private String wid;
    private Integer itransfer;
    private BigDecimal lon;
    private BigDecimal lat;
    private String trackPlace;
    private Integer direction;
    private Integer speed;
    private BigDecimal odometer;
    private BigDecimal odometerInterval;
    private Integer iaccstatus;
    private Integer ilinestatus;
    private Integer ilostatus;
    private String status;
    private Integer alarmStatus;
    private String alarmStatusStr;
    private String additional;

    public Integer getVehicleid() {
        return vehicleid;
    }

    public void setVehicleid(Integer vehicleid) {
        this.vehicleid = vehicleid;
    }

    public Integer getCarId() {
        return carId;
    }

    public void setCarId(Integer carId) {
        this.carId = carId;
    }

    public Date getGpstime() {
        return gpstime;
    }

    public void setGpstime(Date gpstime) {
        this.gpstime = gpstime;
    }

    public Date getCreatedtime() {
        return createdtime;
    }

    public void setCreatedtime(Date createdtime) {
        this.createdtime = createdtime;
    }

    public String getWid() {
        return wid;
    }

    public void setWid(String wid) {
        this.wid = wid;
    }

    public Integer getItransfer() {
        return itransfer;
    }

    public void setItransfer(Integer itransfer) {
        this.itransfer = itransfer;
    }

    public BigDecimal getLon() {
        return lon;
    }

    public void setLon(BigDecimal lon) {
        this.lon = lon;
    }

    public BigDecimal getLat() {
        return lat;
    }

    public void setLat(BigDecimal lat) {
        this.lat = lat;
    }

    public String getTrackPlace() {
        return trackPlace;
    }

    public void setTrackPlace(String trackPlace) {
        this.trackPlace = trackPlace;
    }

    public Integer getDirection() {
        return direction;
    }

    public void setDirection(Integer direction) {
        this.direction = direction;
    }

    public Integer getSpeed() {
        return speed;
    }

    public void setSpeed(Integer speed) {
        this.speed = speed;
    }

    public BigDecimal getOdometer() {
        return odometer;
    }

    public void setOdometer(BigDecimal odometer) {
        this.odometer = odometer;
    }

    public BigDecimal getOdometerInterval() {
        return odometerInterval;
    }

    public void setOdometerInterval(BigDecimal odometerInterval) {
        this.odometerInterval = odometerInterval;
    }

    public Integer getIaccstatus() {
        return iaccstatus;
    }

    public void setIaccstatus(Integer iaccstatus) {
        this.iaccstatus = iaccstatus;
    }

    public Integer getIlinestatus() {
        return ilinestatus;
    }

    public void setIlinestatus(Integer ilinestatus) {
        this.ilinestatus = ilinestatus;
    }

    public Integer getIlostatus() {
        return ilostatus;
    }

    public void setIlostatus(Integer ilostatus) {
        this.ilostatus = ilostatus;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getAlarmStatus() {
        return alarmStatus;
    }

    public void setAlarmStatus(Integer alarmStatus) {
        this.alarmStatus = alarmStatus;
    }

    public String getAlarmStatusStr() {
        return alarmStatusStr;
    }

    public void setAlarmStatusStr(String alarmStatusStr) {
        this.alarmStatusStr = alarmStatusStr;
    }

    public String getAdditional() {
        return additional;
    }

    public void setAdditional(String additional) {
        this.additional = additional;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("vehicleid", vehicleid)
                .add("carId", carId)
                .add("gpstime", gpstime)
                .add("createdtime", createdtime)
                .add("wid", wid)
                .add("itransfer", itransfer)
                .add("lon", lon)
                .add("lat", lat)
                .add("trackPlace", trackPlace)
                .add("direction", direction)
                .add("speed", speed)
                .add("odometer", odometer)
                .add("odometerInterval", odometerInterval)
                .add("iaccstatus", iaccstatus)
                .add("ilinestatus", ilinestatus)
                .add("ilostatus", ilostatus)
                .add("status", status)
                .add("alarmStatus", alarmStatus)
                .add("alarmStatusStr", alarmStatusStr)
                .add("additional", additional)
                .toString();
    }
}
